%global modname  jaraco
%global projname %{modname}.stream
%global pkgname  %{modname}-stream

%bcond_without tests

Name:           python-%{pkgname}
Version:        3.0.3
Release:        2%{?dist}
Summary:        Routines for dealing with data streams

License:        MIT
URL:            https://github.com/jaraco/%{projname}
Source0:        %{pypi_source %{projname}}

Patch1:         0001-Require-more_itertools.patch
Patch2:         0002-Disable-linters.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires: python3dist(pip) >= 19
BuildRequires: python3dist(toml)
BuildRequires: python3dist(setuptools-scm) >= 3.4.1
BuildRequires: python3dist(setuptools-scm[toml]) >= 3.4.1
BuildRequires: python3dist(wheel)
BuildRequires: python3dist(tox-current-env) >= 0.0.6
BuildRequires: python3dist(more-itertools)
BuildRequires: python3dist(pytest) >= 4.6

%global _description %{expand:
Routines for handling streaming data, including a set of generators for
loading gzip data on the fly.}

%description %_description

%package     -n python3-%{pkgname}
Summary:        %{summary}
Requires:       python3-jaraco

%description -n python3-%{pkgname} %_description

%prep
%autosetup -n %{projname}-%{version}


%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%if %{with tests}
%tox
%else
%pyproject_check_import -e jaraco.stream.test_gzip
%endif

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst
%exclude %dir %{python3_sitelib}/jaraco

%changelog
* Mon Apr 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.3-2
- rebase to add ocs macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.3-1
- initial build
